Get Event Logs
curl --request GET \
--url https://api.decodahealth.com/check-in/calendar/{event_id}/logs \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/check-in/calendar/{event_id}/logs"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/check-in/calendar/{event_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"eventId": "<string>",
"actionType": "CREATED",
"createdBy": {
"id": "<string>",
"type": "PROVIDER",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"preferredName": "<string>"
},
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"data": {
"oldStatus": "<string>"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Calendar and Appointments
Get Event Logs
Get event logs for a specific event
GET
/
check-in
/
calendar
/
{event_id}
/
logs
Get Event Logs
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
The unique identifier for the event log entry
The ID of the event this log entry is for
The type of action that was performed
Available options:
CREATED, CANCELLED, RESCHEDULED, STATUS_CHANGED, CHECKED_IN, NO_SHOW_MARKED, COMPLETED, PATIENT_CHANGED, PROVIDER_CHANGED, SERVICE_ADDED, SERVICE_REMOVED The user who performed the action
Show child attributes
Show child attributes
When this action was performed
User-provided description or reason for the action
Base data structure for status transition events
- StatusTransitionData
- StatusChangeData
- RescheduleData
- CreationData
- PatientChangeData
- ProviderChangeData
- ServiceChangeData
- Data
Show child attributes
Show child attributes

